#include "Ubidots.h"
#include <SoftwareSerial.h>

const char* UBIDOTS_TOKEN = " ";  // Put here your Ubidots TOKEN
const char* WIFI_SSID = " ";      // Put here your Wi-Fi SSID
const char* WIFI_PASS = " ";      // Put here your Wi-Fi password
Ubidots ubidots(UBIDOTS_TOKEN, UBI_HTTP);
SoftwareSerial BT(D9,D10);

void setup() {
  //BT.begin(9600);
  Serial.begin(115200);
  ubidots.wifiConnect(WIFI_SSID, WIFI_PASS);
  ubidots.setDebug(true);  // Uncomment this line for printing debug messages
}

void loop() {
  double value1 = random(0, 9) * 10;
  double value2 = random(0, 9) * 100;
  double value3 = random(0, 9) * 1000;
  ubidots.add("Variable_Name_One", value1);  // Change for your variable name
  ubidots.add("Variable_Name_Two", value2);
  ubidots.add("Variable_Name_Three", value3);

  bool bufferSent = false;
  bufferSent = ubidots.send();  // Will send data to a device label that matches the device Id

  if (bufferSent) {
    Serial.println("Values sent by the device");
  }
  delay(1000);
}
